package org.xbib.interlibrary.statistics;

import org.xbib.interlibrary.api.order.statistics.Statistics;

import java.util.Map;
import java.util.concurrent.atomic.AtomicLong;

public class RoyaltiesStatistics {

    private final Statistics statistics;

    public RoyaltiesStatistics(Statistics statistics) {
        this.statistics = statistics;
    }

    public long getSummary(String isil) {
        AtomicLong sum = new AtomicLong();
        sum.set(statistics.getEntries().size() * 5L);
        return sum.get();
    }

    public Map<String, Object> asMap() {
        return statistics.asMap();
    }
}
